LoaderSF (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.LoaderSF class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class LoaderSF

    java.lang.Object
      org.apache.catalina.storeconfig.StoreFactoryBase
          org.apache.catalina.storeconfig.LoaderSF

All Implemented Interfaces:
  IStoreFactory

public class LoaderSF
extends StoreFactoryBase

Store Loader Element.

Author:
  Peter Rossbach

Field Summary

Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`sm`

Constructor Summary
`LoaderSF()`

Method Summary
`protected boolean` | `isDefaultLoader(Loader loader)` Is this an instance of the default `Loader` configuration, with all-default properties?
`void` | `store(java.io.PrintWriter aWriter, int indent, java.lang.Object aElement)` Store the only the Loader elements, when not default

Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeChilds, storeElement, storeElementArray, storeXMLHead`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoaderSF

    public LoaderSF()

Method Detail

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      java.lang.Object aElement)
               throws java.lang.Exception

  Store the only the Loader elements, when not default

  Specified by:
    `store` in interface `IStoreFactory`
  Overrides:
    `store` in class `StoreFactoryBase`
  Throws:
    `java.lang.Exception`
  See Also:
    `NamingResourcesSF.storeChilds(PrintWriter, int, Object, StoreDescription)`

### isDefaultLoader

    protected boolean isDefaultLoader(Loader loader)

  Is this an instance of the default `Loader` configuration, with all-default properties?

  Parameters:
    `loader` - Loader to be tested

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.